diff --git a/boot/menhir/parser.ml b/boot/menhir/parser.ml
index 6b6fc22..dce95f7 100644
--- a/boot/menhir/parser.ml
+++ b/boot/menhir/parser.ml
@@ -21751,31 +21792,31 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 21757 "parsing/parser.ml"
+# 21798 "parsing/parser.ml"
           
         in
         let attrs1 =
           let _1 = _1_inlined1 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 21765 "parsing/parser.ml"
+# 21806 "parsing/parser.ml"
           
         in
         let _endpos = _endpos_attrs2_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 1657 "parsing/parser.mly"
+# 1665 "parsing/parser.mly"
   (
     let attrs = attrs1 @ attrs2 in
     let loc = make_loc _sloc in
     let docs = symbol_docs _sloc in
     Ms.mk uid body ~attrs ~loc ~docs, ext
   )
-# 21779 "parsing/parser.ml"
+# 21820 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -21826,9 +21867,9 @@ module Tables = struct
         let _6 : unit = Obj.magic _6 in
         let _5 : unit = Obj.magic _5 in
         let _1_inlined2 : (
-# 701 "parsing/parser.mly"
+# 709 "parsing/parser.mly"
        (string)
-# 21832 "parsing/parser.ml"
+# 21873 "parsing/parser.ml"
         ) = Obj.magic _1_inlined2 in
         let _1_inlined1 : (Parsetree.attributes) = Obj.magic _1_inlined1 in
         let _2 : (string Asttypes.loc option) = Obj.magic _2 in
@@ -21842,24 +21883,24 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 21848 "parsing/parser.ml"
+# 21889 "parsing/parser.ml"
           
         in
         let _3 =
           let _1 = _1_inlined1 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 21856 "parsing/parser.ml"
+# 21897 "parsing/parser.ml"
           
         in
         let _loc__6_ = (_startpos__6_, _endpos__6_) in
         
-# 1664 "parsing/parser.mly"
+# 1672 "parsing/parser.mly"
     ( expecting _loc__6_ "module path" )
-# 21863 "parsing/parser.ml"
+# 21904 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -21905,18 +21946,18 @@ module Tables = struct
         let _v : (Parsetree.module_type) = let attrs =
           let _1 = _1_inlined1 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 21911 "parsing/parser.ml"
+# 21952 "parsing/parser.ml"
           
         in
         let _endpos = _endpos__4_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 1509 "parsing/parser.mly"
+# 1517 "parsing/parser.mly"
       ( mkmty ~loc:_sloc ~attrs (Pmty_signature s) )
-# 21920 "parsing/parser.ml"
+# 21961 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -21962,17 +22003,17 @@ module Tables = struct
         let _v : (Parsetree.module_type) = let _2 =
           let _1 = _1_inlined1 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 21968 "parsing/parser.ml"
+# 22009 "parsing/parser.ml"
           
         in
         let _loc__4_ = (_startpos__4_, _endpos__4_) in
         let _loc__1_ = (_startpos__1_, _endpos__1_) in
         
-# 1511 "parsing/parser.mly"
+# 1519 "parsing/parser.mly"
       ( unclosed "sig" _loc__1_ "end" _loc__4_ )
-# 21976 "parsing/parser.ml"
+# 22017 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -22025,30 +22066,30 @@ module Tables = struct
         let _v : (Parsetree.module_type) = let args =
           let _1 = _1_inlined2 in
           
-# 1182 "parsing/parser.mly"
+# 1190 "parsing/parser.mly"
     ( _1 )
-# 22031 "parsing/parser.ml"
+# 22072 "parsing/parser.ml"
           
         in
         let attrs =
           let _1 = _1_inlined1 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 22039 "parsing/parser.ml"
+# 22080 "parsing/parser.ml"
           
         in
         let _endpos = _endpos_mty_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 1515 "parsing/parser.mly"
+# 1523 "parsing/parser.mly"
       ( wrap_mty_attrs ~loc:_sloc attrs (
           List.fold_left (fun acc (startpos, arg) ->
             mkmty ~loc:(startpos, _endpos) (Pmty_functor (arg, acc))
           ) mty args
         ) )
-# 22052 "parsing/parser.ml"
+# 22093 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -22101,18 +22142,18 @@ module Tables = struct
         let _v : (Parsetree.module_type) = let _4 =
           let _1 = _1_inlined1 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 22107 "parsing/parser.ml"
+# 22148 "parsing/parser.ml"
           
         in
         let _endpos = _endpos__5_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 1521 "parsing/parser.mly"
+# 1529 "parsing/parser.mly"
       ( mkmty ~loc:_sloc ~attrs:_4 (Pmty_typeof _5) )
-# 22116 "parsing/parser.ml"
+# 22157 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -22149,9 +22190,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__3_ in
         let _v : (Parsetree.module_type) = 
-# 1523 "parsing/parser.mly"
+# 1531 "parsing/parser.mly"
       ( _2 )
-# 22155 "parsing/parser.ml"
+# 22196 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -22190,9 +22231,9 @@ module Tables = struct
         let _v : (Parsetree.module_type) = let _loc__3_ = (_startpos__3_, _endpos__3_) in
         let _loc__1_ = (_startpos__1_, _endpos__1_) in
         
-# 1525 "parsing/parser.mly"
+# 1533 "parsing/parser.mly"
       ( unclosed "(" _loc__1_ ")" _loc__3_ )
-# 22196 "parsing/parser.ml"
+# 22237 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -22222,9 +22263,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__2_ in
         let _v : (Parsetree.module_type) = 
-# 1527 "parsing/parser.mly"
+# 1535 "parsing/parser.mly"
       ( Mty.attr _1 _2 )
-# 22228 "parsing/parser.ml"
+# 22269 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -22253,30 +22294,30 @@ module Tables = struct
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 22259 "parsing/parser.ml"
+# 22300 "parsing/parser.ml"
               
             in
             
-# 1530 "parsing/parser.mly"
+# 1538 "parsing/parser.mly"
         ( Pmty_ident _1 )
-# 22265 "parsing/parser.ml"
+# 22306 "parsing/parser.ml"
             
           in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 862 "parsing/parser.mly"
+# 870 "parsing/parser.mly"
     ( mkmty ~loc:_sloc _1 )
-# 22274 "parsing/parser.ml"
+# 22315 "parsing/parser.ml"
           
         in
         
-# 1541 "parsing/parser.mly"
+# 1549 "parsing/parser.mly"
     ( _1 )
-# 22280 "parsing/parser.ml"
+# 22321 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -22314,24 +22355,24 @@ module Tables = struct
         let _endpos = _endpos__3_ in
         let _v : (Parsetree.module_type) = let _1 =
           let _1 = 
-# 1533 "parsing/parser.mly"
+# 1541 "parsing/parser.mly"
         ( Pmty_functor(Named (mknoloc None, _1), _3) )
-# 22320 "parsing/parser.ml"
+# 22361 "parsing/parser.ml"
            in
           let _endpos__1_ = _endpos__3_ in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 862 "parsing/parser.mly"
+# 870 "parsing/parser.mly"
     ( mkmty ~loc:_sloc _1 )
-# 22329 "parsing/parser.ml"
+# 22370 "parsing/parser.ml"
           
         in
         
-# 1541 "parsing/parser.mly"
+# 1549 "parsing/parser.mly"
     ( _1 )
-# 22335 "parsing/parser.ml"
+# 22376 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -22373,18 +22414,18 @@ module Tables = struct
               let xs = 
 # 253 "<standard.mly>"
     ( List.rev xs )
-# 22377 "parsing/parser.ml"
+# 22418 "parsing/parser.ml"
                in
               
-# 951 "parsing/parser.mly"
+# 959 "parsing/parser.mly"
     ( xs )
-# 22382 "parsing/parser.ml"
+# 22423 "parsing/parser.ml"
               
             in
             
-# 1535 "parsing/parser.mly"
+# 1543 "parsing/parser.mly"
         ( Pmty_with(_1, _3) )
-# 22388 "parsing/parser.ml"
+# 22429 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos_xs_ in
@@ -22392,15 +22433,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 862 "parsing/parser.mly"
+# 870 "parsing/parser.mly"
     ( mkmty ~loc:_sloc _1 )
-# 22398 "parsing/parser.ml"
+# 22439 "parsing/parser.ml"
           
         in
         
-# 1541 "parsing/parser.mly"
+# 1549 "parsing/parser.mly"
     ( _1 )
-# 22404 "parsing/parser.ml"
+# 22445 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -22424,23 +22465,23 @@ module Tables = struct
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.module_type) = let _1 =
           let _1 = 
-# 1539 "parsing/parser.mly"
+# 1547 "parsing/parser.mly"
         ( Pmty_extension _1 )
-# 22430 "parsing/parser.ml"
+# 22471 "parsing/parser.ml"
            in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 862 "parsing/parser.mly"
+# 870 "parsing/parser.mly"
     ( mkmty ~loc:_sloc _1 )
-# 22438 "parsing/parser.ml"
+# 22479 "parsing/parser.ml"
           
         in
         
-# 1541 "parsing/parser.mly"
+# 1549 "parsing/parser.mly"
     ( _1 )
-# 22444 "parsing/parser.ml"
+# 22485 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -22507,9 +22548,9 @@ module Tables = struct
         let _v : (Parsetree.module_type_declaration * string Asttypes.loc option) = let attrs2 =
           let _1 = _1_inlined3 in
           
-# 3743 "parsing/parser.mly"
+# 3771 "parsing/parser.mly"
     ( _1 )
-# 22513 "parsing/parser.ml"
+# 22554 "parsing/parser.ml"
           
         in
         let _endpos_attrs2_ = _endpos__1_inlined3_ in
@@ -22519,31 +22560,31 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 22525 "parsing/parser.ml"
+# 22566 "parsing/parser.ml"
           
         in
         let attrs1 =
           let _1 = _1_inlined1 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 22533 "parsing/parser.ml"
+# 22574 "parsing/parser.ml"
           
         in
         let _endpos = _endpos_attrs2_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 1455 "parsing/parser.mly"
+# 1463 "parsing/parser.mly"
   (
     let attrs = attrs1 @ attrs2 in
     let loc = make_loc _sloc in
     let docs = symbol_docs _sloc in
     Mtd.mk id ?typ ~attrs ~loc ~docs, ext
   )
-# 22547 "parsing/parser.ml"
+# 22588 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -22566,9 +22607,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (Longident.t) = 
-# 3529 "parsing/parser.mly"
+# 3557 "parsing/parser.mly"
                                           ( _1 )
-# 22572 "parsing/parser.ml"
+# 22613 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -22584,9 +22625,9 @@ module Tables = struct
         let _startpos = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _endpos = _startpos in
         let _v : (Asttypes.mutable_flag) = 
-# 3606 "parsing/parser.mly"
+# 3634 "parsing/parser.mly"
                                                 ( Immutable )
-# 22590 "parsing/parser.ml"
+# 22631 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -22609,9 +22650,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (Asttypes.mutable_flag) = 
-# 3607 "parsing/parser.mly"
+# 3635 "parsing/parser.mly"
                                                 ( Mutable )
-# 22615 "parsing/parser.ml"
+# 22656 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -22627,9 +22668,9 @@ module Tables = struct
         let _startpos = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _endpos = _startpos in
         let _v : (Asttypes.mutable_flag * Asttypes.virtual_flag) = 
-# 3615 "parsing/parser.mly"
+# 3643 "parsing/parser.mly"
       ( Immutable, Concrete )
-# 22633 "parsing/parser.ml"
+# 22674 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -22652,9 +22693,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (Asttypes.mutable_flag * Asttypes.virtual_flag) = 
-# 3617 "parsing/parser.mly"
+# 3645 "parsing/parser.mly"
       ( Mutable, Concrete )
-# 22658 "parsing/parser.ml"
+# 22699 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -22677,9 +22718,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (Asttypes.mutable_flag * Asttypes.virtual_flag) = 
-# 3619 "parsing/parser.mly"
+# 3647 "parsing/parser.mly"
       ( Immutable, Virtual )
-# 22683 "parsing/parser.ml"
+# 22724 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -22709,9 +22750,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__2_ in
         let _v : (Asttypes.mutable_flag * Asttypes.virtual_flag) = 
-# 3622 "parsing/parser.mly"
+# 3650 "parsing/parser.mly"
       ( Mutable, Virtual )
-# 22715 "parsing/parser.ml"
+# 22756 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -22741,9 +22782,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__2_ in
         let _v : (Asttypes.mutable_flag * Asttypes.virtual_flag) = 
-# 3622 "parsing/parser.mly"
+# 3650 "parsing/parser.mly"
       ( Mutable, Virtual )
-# 22747 "parsing/parser.ml"
+# 22788 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -22773,9 +22814,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__2_ in
         let _v : (Asttypes.label) = 
-# 3579 "parsing/parser.mly"
+# 3607 "parsing/parser.mly"
                                                 ( _2 )
-# 22779 "parsing/parser.ml"
+# 22820 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -22794,9 +22835,9 @@ module Tables = struct
           MenhirLib.EngineTypes.next = _menhir_stack;
         } = _menhir_stack in
         let _1 : (
-# 651 "parsing/parser.mly"
+# 659 "parsing/parser.mly"
        (string)
-# 22800 "parsing/parser.ml"
+# 22841 "parsing/parser.ml"
         ) = Obj.magic _1 in
         let _endpos__0_ = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _startpos = _startpos__1_ in
@@ -22806,15 +22847,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 22812 "parsing/parser.ml"
+# 22853 "parsing/parser.ml"
           
         in
         
 # 221 "<standard.mly>"
     ( [ x ] )
-# 22818 "parsing/parser.ml"
+# 22859 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -22840,9 +22881,9 @@ module Tables = struct
         } = _menhir_stack in
         let xs : (string Asttypes.loc list) = Obj.magic xs in
         let _1 : (
-# 651 "parsing/parser.mly"
+# 659 "parsing/parser.mly"
        (string)
-# 22846 "parsing/parser.ml"
+# 22887 "parsing/parser.ml"
         ) = Obj.magic _1 in
         let _endpos__0_ = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _startpos = _startpos__1_ in
@@ -22852,15 +22893,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 22858 "parsing/parser.ml"
+# 22899 "parsing/parser.ml"
           
         in
         
 # 223 "<standard.mly>"
     ( x :: xs )
-# 22864 "parsing/parser.ml"
+# 22905 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -22879,22 +22920,22 @@ module Tables = struct
           MenhirLib.EngineTypes.next = _menhir_stack;
         } = _menhir_stack in
         let s : (
-# 689 "parsing/parser.mly"
+# 697 "parsing/parser.mly"
        (string * Location.t * string option)
-# 22885 "parsing/parser.ml"
+# 22926 "parsing/parser.ml"
         ) = Obj.magic s in
         let _endpos__0_ = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _startpos = _startpos_s_ in
         let _endpos = _endpos_s_ in
         let _v : (string list) = let x = 
-# 3575 "parsing/parser.mly"
+# 3603 "parsing/parser.mly"
     ( let body, _, _ = s in body )
-# 22893 "parsing/parser.ml"
+# 22934 "parsing/parser.ml"
          in
         
 # 221 "<standard.mly>"
     ( [ x ] )
-# 22898 "parsing/parser.ml"
+# 22939 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -22920,22 +22961,22 @@ module Tables = struct
         } = _menhir_stack in
         let xs : (string list) = Obj.magic xs in
         let s : (
-# 689 "parsing/parser.mly"
+# 697 "parsing/parser.mly"
        (string * Location.t * string option)
-# 22926 "parsing/parser.ml"
+# 22967 "parsing/parser.ml"
         ) = Obj.magic s in
         let _endpos__0_ = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _startpos = _startpos_s_ in
         let _endpos = _endpos_xs_ in
         let _v : (string list) = let x = 
-# 3575 "parsing/parser.mly"
+# 3603 "parsing/parser.mly"
     ( let body, _, _ = s in body )
-# 22934 "parsing/parser.ml"
+# 22975 "parsing/parser.ml"
          in
         
 # 223 "<standard.mly>"
     ( x :: xs )
-# 22939 "parsing/parser.ml"
+# 22980 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -22958,14 +22999,14 @@ module Tables = struct
         let _startpos = _startpos_ty_ in
         let _endpos = _endpos_ty_ in
         let _v : (Parsetree.type_kind * Asttypes.private_flag * Parsetree.core_type option) = let priv = 
-# 3602 "parsing/parser.mly"
+# 3630 "parsing/parser.mly"
                                                 ( Public )
-# 22964 "parsing/parser.ml"
+# 23005 "parsing/parser.ml"
          in
         
-# 2901 "parsing/parser.mly"
+# 2921 "parsing/parser.mly"
       ( (Ptype_abstract, priv, Some ty) )
-# 22969 "parsing/parser.ml"
+# 23010 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -22995,14 +23036,14 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos_ty_ in
         let _v : (Parsetree.type_kind * Asttypes.private_flag * Parsetree.core_type option) = let priv = 
-# 3603 "parsing/parser.mly"
+# 3631 "parsing/parser.mly"
                                                 ( Private )
-# 23001 "parsing/parser.ml"
+# 23042 "parsing/parser.ml"
          in
         
-# 2901 "parsing/parser.mly"
+# 2921 "parsing/parser.mly"
       ( (Ptype_abstract, priv, Some ty) )
-# 23006 "parsing/parser.ml"
+# 23047 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -23025,26 +23066,26 @@ module Tables = struct
         let _startpos = _startpos_cs_ in
         let _endpos = _endpos_cs_ in
         let _v : (Parsetree.type_kind * Asttypes.private_flag * Parsetree.core_type option) = let priv = 
-# 3602 "parsing/parser.mly"
+# 3630 "parsing/parser.mly"
                                                 ( Public )
-# 23031 "parsing/parser.ml"
+# 23072 "parsing/parser.ml"
          in
         let oty =
           let _1 = 
 # 124 "<standard.mly>"
     ( None )
-# 23037 "parsing/parser.ml"
+# 23078 "parsing/parser.ml"
            in
           
-# 2917 "parsing/parser.mly"
+# 2937 "parsing/parser.mly"
     ( _1 )
-# 23042 "parsing/parser.ml"
+# 23083 "parsing/parser.ml"
           
         in
         
-# 2905 "parsing/parser.mly"
+# 2925 "parsing/parser.mly"
       ( (Ptype_variant cs, priv, oty) )
-# 23048 "parsing/parser.ml"
+# 23089 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -23074,26 +23115,26 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos_cs_ in
         let _v : (Parsetree.type_kind * Asttypes.private_flag * Parsetree.core_type option) = let priv = 
-# 3603 "parsing/parser.mly"
+# 3631 "parsing/parser.mly"
                                                 ( Private )
-# 23080 "parsing/parser.ml"
+# 23121 "parsing/parser.ml"
          in
         let oty =
           let _1 = 
 # 124 "<standard.mly>"
     ( None )
-# 23086 "parsing/parser.ml"
+# 23127 "parsing/parser.ml"
            in
           
-# 2917 "parsing/parser.mly"
+# 2937 "parsing/parser.mly"
     ( _1 )
-# 23091 "parsing/parser.ml"
+# 23132 "parsing/parser.ml"
           
         in
         
-# 2905 "parsing/parser.mly"
+# 2925 "parsing/parser.mly"
       ( (Ptype_variant cs, priv, oty) )
-# 23097 "parsing/parser.ml"
+# 23138 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -23130,33 +23171,33 @@ module Tables = struct
         let _startpos = _startpos_x_ in
         let _endpos = _endpos_cs_ in
         let _v : (Parsetree.type_kind * Asttypes.private_flag * Parsetree.core_type option) = let priv = 
-# 3602 "parsing/parser.mly"
+# 3630 "parsing/parser.mly"
                                                 ( Public )
-# 23136 "parsing/parser.ml"
+# 23177 "parsing/parser.ml"
          in
         let oty =
           let _1 =
             let x = 
 # 191 "<standard.mly>"
     ( x )
-# 23143 "parsing/parser.ml"
+# 23184 "parsing/parser.ml"
              in
             
 # 126 "<standard.mly>"
     ( Some x )
-# 23148 "parsing/parser.ml"
+# 23189 "parsing/parser.ml"
             
           in
           
-# 2917 "parsing/parser.mly"
+# 2937 "parsing/parser.mly"
     ( _1 )
-# 23154 "parsing/parser.ml"
+# 23195 "parsing/parser.ml"
           
         in
         
-# 2905 "parsing/parser.mly"
+# 2925 "parsing/parser.mly"
       ( (Ptype_variant cs, priv, oty) )
-# 23160 "parsing/parser.ml"
+# 23201 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -23200,33 +23241,33 @@ module Tables = struct
         let _startpos = _startpos_x_ in
         let _endpos = _endpos_cs_ in
         let _v : (Parsetree.type_kind * Asttypes.private_flag * Parsetree.core_type option) = let priv = 
-# 3603 "parsing/parser.mly"
+# 3631 "parsing/parser.mly"
                                                 ( Private )
-# 23206 "parsing/parser.ml"
+# 23247 "parsing/parser.ml"
          in
         let oty =
           let _1 =
             let x = 
 # 191 "<standard.mly>"
     ( x )
-# 23213 "parsing/parser.ml"
+# 23254 "parsing/parser.ml"
              in
             
 # 126 "<standard.mly>"
     ( Some x )
-# 23218 "parsing/parser.ml"
+# 23259 "parsing/parser.ml"
             
           in
           
-# 2917 "parsing/parser.mly"
+# 2937 "parsing/parser.mly"
     ( _1 )
-# 23224 "parsing/parser.ml"
+# 23265 "parsing/parser.ml"
           
         in
         
-# 2905 "parsing/parser.mly"
+# 2925 "parsing/parser.mly"
       ( (Ptype_variant cs, priv, oty) )
-# 23230 "parsing/parser.ml"
+# 23271 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -23249,26 +23290,26 @@ module Tables = struct
         let _startpos = _startpos__3_ in
         let _endpos = _endpos__3_ in
         let _v : (Parsetree.type_kind * Asttypes.private_flag * Parsetree.core_type option) = let priv = 
-# 3602 "parsing/parser.mly"
+# 3630 "parsing/parser.mly"
                                                 ( Public )
-# 23255 "parsing/parser.ml"
+# 23296 "parsing/parser.ml"
          in
         let oty =
           let _1 = 
 # 124 "<standard.mly>"
     ( None )
-# 23261 "parsing/parser.ml"
+# 23302 "parsing/parser.ml"
            in
           
-# 2917 "parsing/parser.mly"
+# 2937 "parsing/parser.mly"
     ( _1 )
-# 23266 "parsing/parser.ml"
+# 23307 "parsing/parser.ml"
           
         in
         
-# 2909 "parsing/parser.mly"
+# 2929 "parsing/parser.mly"
       ( (Ptype_open, priv, oty) )
-# 23272 "parsing/parser.ml"
+# 23313 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -23298,26 +23339,26 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__3_ in
         let _v : (Parsetree.type_kind * Asttypes.private_flag * Parsetree.core_type option) = let priv = 
-# 3603 "parsing/parser.mly"
+# 3631 "parsing/parser.mly"
                                                 ( Private )
-# 23304 "parsing/parser.ml"
+# 23345 "parsing/parser.ml"
          in
         let oty =
           let _1 = 
 # 124 "<standard.mly>"
     ( None )
-# 23310 "parsing/parser.ml"
+# 23351 "parsing/parser.ml"
            in
           
-# 2917 "parsing/parser.mly"
+# 2937 "parsing/parser.mly"
     ( _1 )
-# 23315 "parsing/parser.ml"
+# 23356 "parsing/parser.ml"
           
         in
         
-# 2909 "parsing/parser.mly"
+# 2929 "parsing/parser.mly"
       ( (Ptype_open, priv, oty) )
-# 23321 "parsing/parser.ml"
+# 23362 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -23354,33 +23395,33 @@ module Tables = struct
         let _startpos = _startpos_x_ in
         let _endpos = _endpos__3_ in
         let _v : (Parsetree.type_kind * Asttypes.private_flag * Parsetree.core_type option) = let priv = 
-# 3602 "parsing/parser.mly"
+# 3630 "parsing/parser.mly"
                                                 ( Public )
-# 23360 "parsing/parser.ml"
+# 23401 "parsing/parser.ml"
          in
         let oty =
           let _1 =
             let x = 
 # 191 "<standard.mly>"
     ( x )
-# 23367 "parsing/parser.ml"
+# 23408 "parsing/parser.ml"
              in
             
 # 126 "<standard.mly>"
     ( Some x )
-# 23372 "parsing/parser.ml"
+# 23413 "parsing/parser.ml"
             
           in
           
-# 2917 "parsing/parser.mly"
+# 2937 "parsing/parser.mly"
     ( _1 )
-# 23378 "parsing/parser.ml"
+# 23419 "parsing/parser.ml"
           
         in
         
-# 2909 "parsing/parser.mly"
+# 2929 "parsing/parser.mly"
       ( (Ptype_open, priv, oty) )
-# 23384 "parsing/parser.ml"
+# 23425 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -23424,33 +23465,33 @@ module Tables = struct
         let _startpos = _startpos_x_ in
         let _endpos = _endpos__3_ in
         let _v : (Parsetree.type_kind * Asttypes.private_flag * Parsetree.core_type option) = let priv = 
-# 3603 "parsing/parser.mly"
+# 3631 "parsing/parser.mly"
                                                 ( Private )
-# 23430 "parsing/parser.ml"
+# 23471 "parsing/parser.ml"
          in
         let oty =
           let _1 =
             let x = 
 # 191 "<standard.mly>"
     ( x )
-# 23437 "parsing/parser.ml"
+# 23478 "parsing/parser.ml"
              in
             
 # 126 "<standard.mly>"
     ( Some x )
-# 23442 "parsing/parser.ml"
+# 23483 "parsing/parser.ml"
             
           in
           
-# 2917 "parsing/parser.mly"
+# 2937 "parsing/parser.mly"
     ( _1 )
-# 23448 "parsing/parser.ml"
+# 23489 "parsing/parser.ml"
           
         in
         
-# 2909 "parsing/parser.mly"
+# 2929 "parsing/parser.mly"
       ( (Ptype_open, priv, oty) )
-# 23454 "parsing/parser.ml"
+# 23495 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -23487,26 +23528,26 @@ module Tables = struct
         let _startpos = _startpos__3_ in
         let _endpos = _endpos__5_ in
         let _v : (Parsetree.type_kind * Asttypes.private_flag * Parsetree.core_type option) = let priv = 
-# 3602 "parsing/parser.mly"
+# 3630 "parsing/parser.mly"
                                                 ( Public )
-# 23493 "parsing/parser.ml"
+# 23534 "parsing/parser.ml"
          in
         let oty =
           let _1 = 
 # 124 "<standard.mly>"
     ( None )
-# 23499 "parsing/parser.ml"
+# 23540 "parsing/parser.ml"
            in
           
-# 2917 "parsing/parser.mly"
+# 2937 "parsing/parser.mly"
     ( _1 )
-# 23504 "parsing/parser.ml"
+# 23545 "parsing/parser.ml"
           
         in
         
-# 2913 "parsing/parser.mly"
+# 2933 "parsing/parser.mly"
       ( (Ptype_record ls, priv, oty) )
-# 23510 "parsing/parser.ml"
+# 23551 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -23550,26 +23591,26 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__5_ in
         let _v : (Parsetree.type_kind * Asttypes.private_flag * Parsetree.core_type option) = let priv = 
-# 3603 "parsing/parser.mly"
+# 3631 "parsing/parser.mly"
                                                 ( Private )
-# 23556 "parsing/parser.ml"
+# 23597 "parsing/parser.ml"
          in
         let oty =
           let _1 = 
 # 124 "<standard.mly>"
     ( None )
-# 23562 "parsing/parser.ml"
+# 23603 "parsing/parser.ml"
            in
           
-# 2917 "parsing/parser.mly"
+# 2937 "parsing/parser.mly"
     ( _1 )
-# 23567 "parsing/parser.ml"
+# 23608 "parsing/parser.ml"
           
         in
         
-# 2913 "parsing/parser.mly"
+# 2933 "parsing/parser.mly"
       ( (Ptype_record ls, priv, oty) )
-# 23573 "parsing/parser.ml"
+# 23614 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
